Bug 13580 - Fix print issues with python 3
Fix print issues with python 3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
4.9.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-17 11:00 UTC by Andreas Schneider
Modified: 2018-08-24 09:59 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.9 (1.14 KB, patch)
2018-08-20 07:11 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-08-17 11:00:30 UTC
We need fixes for 'print' -> 'print()' that we can package Samba in Fedora rawhide with python 3.7.

Patch will follow.
Comment 1 Andreas Schneider 2018-08-20 07:11:31 UTC
Created attachment 14438 [details]
patch for 4.9
Comment 2 Alexander Bokovoy 2018-08-20 07:25:45 UTC
Comment on attachment 14438 [details]
patch for 4.9

LGTM
Comment 3 Andreas Schneider 2018-08-20 08:42:04 UTC
Karolin, please add the fix to 4.9. Thanks!
Comment 4 Karolin Seeger 2018-08-23 08:13:06 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-9-test.
Comment 5 Karolin Seeger 2018-08-24 09:59:21 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!